package stone

import "image/color"

type Config struct {
	colors   [4]color.Color
	padding  int
	fontSize int
	fontName string
}

func (config *Config) Color (index Color) (value color.Color) {
	value = config.colors[index]
	return
}

func (config *Config) Padding () (padding int) {
	padding = config.padding
	return
}

func (config *Config) FontSize () (fontSize int) {
	fontSize = config.fontSize
	return
}

func (config *Config) FontName () (fontName string) {
	fontName = config.fontName
	return
}
